Index: code/branches/main_reto_vs05/include/Orxonox.h
===================================================================
--- code/branches/main_reto_vs05/include/Orxonox.h	(revision 157)
+++ code/branches/main_reto_vs05/include/Orxonox.h	(revision 159)
@@ -39,15 +39,18 @@
 {
 public:
-	virtual void go(void);
+  Orxonox();
+  virtual ~Orxonox();
+	virtual void go();
 
 protected:
-	OgreControl *mOgre;
-	RunManager  *mRunMgr;
-	Timer       *mTimer;
-
 	virtual bool setup(void);
 
 	virtual void destroy(void);
 
+protected:
+	OgreControl *ogre_;
+	RunManager  *runMgr_;
+	Timer       *timer_;
+
 };
 
Index: code/branches/main_reto_vs05/include/ogre_control.h
===================================================================
--- code/branches/main_reto_vs05/include/ogre_control.h	(revision 157)
+++ code/branches/main_reto_vs05/include/ogre_control.h	(revision 159)
@@ -48,17 +48,13 @@
 
 	/** Sets up the application - returns false if the user chooses to abandon configuration. */
-	virtual bool initialise(void);
+	virtual bool initialise();
 
-	virtual Root* getRoot(void);
+	virtual Root* getRoot();
 
-	virtual RenderWindow* getRenderWindow(void);
+	virtual RenderWindow* getRenderWindow();
 
-	virtual Ogre::String getResourcePath(void);
+	virtual Ogre::String getResourcePath();
 
 protected:
-	Root         *mRoot;
-	RenderWindow *mWindow;
-	Ogre::String  mResourcePath;
-
 	/** Configures the application - returns false if the user chooses to abandon configuration. */
 	virtual bool configure(void);
@@ -67,4 +63,9 @@
 	virtual void setupResources(void);
 
+protected:
+	Root         *root_;
+	RenderWindow *window_;
+	Ogre::String  resourcePath_;
+
 };
 
Index: code/branches/main_reto_vs05/include/orxonox_scene.h
===================================================================
--- code/branches/main_reto_vs05/include/orxonox_scene.h	(revision 157)
+++ code/branches/main_reto_vs05/include/orxonox_scene.h	(revision 159)
@@ -43,20 +43,23 @@
 	virtual bool initialise();
 
-	virtual void tick(unsigned long, float);
+	virtual bool tick(unsigned long, Real);
 
-private:
-	SceneManager* mSceneMgr;
+protected:
+	/// method where you can perform resource group loading
+	virtual void loadResources();
+
+	/// Define what is in the scene
+	virtual void createScene();
+
+protected:
+	SceneManager* sceneMgr_;
 
 	//specific variables for test purposes
-	Light        *mLight;
-	SceneNode    *lightNode;
-	BillboardSet *bbs;
-	float distance, radius;
+	Light        *light_;
+	SceneNode    *lightNode_;
+	BillboardSet *bbs_;
+	Real distance_;
+  Real radius_;
+};
 
-	/// method where you can perform resource group loading
-	virtual void loadResources(void);
-
-	// Define what is in the scene
-	virtual void createScene(void);
-};
 #endif /* ORXONOX_SCENE_H */
Index: code/branches/main_reto_vs05/include/orxonox_ship.h
===================================================================
--- code/branches/main_reto_vs05/include/orxonox_ship.h	(revision 157)
+++ code/branches/main_reto_vs05/include/orxonox_ship.h	(revision 159)
@@ -44,8 +44,12 @@
 	virtual bool initialise();
 
-	void setThrust(const Real);
+	void setMainThrust(const Real);
 	void setSideThrust(const Real);
+  void setYThrust(const Real);
 	void turnUpAndDown(const Radian&);
 	void turnLeftAndRight(const Radian&);
+
+  SceneNode* getRootNode();
+  Vector3 getSpeed();
 
 	Bullet* fire();
@@ -55,17 +59,12 @@
 protected:
 
+protected:
+	SceneManager *sceneMgr_;
+	SceneNode *rootNode_;
+	Entity *shipEntity_;
 
-public:
-
-
-protected:
-	SceneManager *SceneMgr_;
-	SceneNode *RootNode_;
-	Entity *ShipEntity_;
-
-	Vector3 currentSpeed_;
-	float CurrentThrust_;
-  float CurrentSideThrust_;
-  float baseThrust_;
+	Vector3 currentSpeed_;  // relative to space
+	Vector3 currentThrust_; // relative to the ship
+  Real baseThrust_;
 	int objectCounter_;
 	Vector3 bulletSpeed_;
Index: code/branches/main_reto_vs05/include/run_manager.h
===================================================================
--- code/branches/main_reto_vs05/include/run_manager.h	(revision 157)
+++ code/branches/main_reto_vs05/include/run_manager.h	(revision 159)
@@ -52,5 +52,5 @@
 {
 public:
-	RunManager(OgreControl*, bool = false, bool = false, bool = false);
+	RunManager(OgreControl*);
 
 	virtual ~RunManager();
@@ -112,4 +112,6 @@
 	OIS::JoyStick* joystick_;
 
+  const Real mouseSensitivity_;
+
   // Bullet array
 	Bullet **bullets_;
